Skip to main content

Orders List

The Order list endpoint shows the general points of the order in the Customer panel.

GET https://example.com/orders?<yourEmailParameter>=$EmailAddress&$FilterField=$FilterValue

Parameters​

NameRequiredDescription
$EmailAddressYes*The email address of the customer
$PhoneNumberYes*The phone number of the customer
$FilterFieldNo**The name of the field that contains the unique identifier for the customer profile**
$FilterValueNo**The unique identifier for the customer profile**

*At least one of the parameters need to be configured.
** Refer to the section Customer profile selection for more details on how to use these parameters.

Response body
{
"orders":
[
{
"order_number": "CMO1234",
"list_view": {
"order_number": "CMO1234",
"date": "29-01-2021 12:34",
"status": "In progress"
}
}
]
}
Response body when customer has no order
{
"orders": []
}

Response schema​

NameTypeRequiredDescription
ordersArrayYesThe parent object to store all order_number objects in
order_numberStringYesThe number of the order which is also used as parameter for the Order details endpoint.
list_viewObjectYesInside list_view you can add custom fields to show information per order in the panel
custom_fieldStringNoThis variable is placed inside list_view. You can rename the key and the value to anything you'd like -- as long as the value is returned in a string form